He instalado SpringSource Tool Suite (PTS) de la versión 3. He creado dos proyectos Maven: una aplicación de consola y web Maven de la aplicación. Traté de abrir Main.java en Eclipse, pero sin éxito.
He probado a reiniciar PTS, pero recibir este error:

!SESSION 2012-06-09 09:13:29.626 -----------------------------------------------
eclipse.buildId=3.0.0.201205010613-M1-e42
java.version=1.7.0_04
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments:  -product com.springsource.sts.ide
Command-line arguments:  -os win32 -ws win32 -arch x86 -product com.springsource.sts.ide
!ENTRY org.eclipse.osgi 4 0 2012-06-09 09:13:30.552
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657)
at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:274)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
Caused by: java.lang.IllegalStateException: Expected to find an object at table index: 1008

Supongo que necesito para borrar la memoria caché. Es eso correcto? Donde es?

¿alguna vez encontrar una forma de evitar esto?

OriginalEl autor user710818 | 2012-06-09

2 Comentarios

  1. 1

    Editar el archivo «INICIO_ECLIPSE\configuración\config.ini»
    cambio

    osgi.bundles=reference\:file\:org.eclipse.osgi_3.6.2.R36x_v20110210.[email protected],reference\:file\:org.eclipse.equinox.simpleconfigurator_1.0.200.v20100503.[email protected]\:start

    A

    osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.0.200.v20100503.[email protected]\:start

    Más detalles se Pueden encontrar aquí..

    lo sentimos, pero no ayuda
    Pensé que el problema podría ser el mismo.! Voy a buscar en la pila de nuevo y tratar de resolver. 🙂
    puede usted por favor enviar su configuración.ini

    OriginalEl autor Anuj Patel

Dejar respuesta

Please enter your comment!
Please enter your name here